%define anolis_release .0.1

%{?python_enable_dependency_generator}
%global upname gitdb2

Name:           python-%{upname}
Version:        2.0.5
Release:        10%{anolis_release}%{?dist}
Summary:        Git Object Database

License:        BSD
URL:            https://pypi.org/project/gitdb2/2.0.6/
Source0:        %{upname}-%{version}.tar.gz
# Fixes build with Python 3.9
#Patch0:         https://github.com/gitpython-developers/gitdb/pull/53.patch

BuildArch:      noarch

BuildRequires:  git-core

%global _description \
GitDB allows you to access bare git repositories for reading and writing.\
It aims at allowing full access to loose objects as well as packs with\
performance and scalability in mind. It operates exclusively on streams,\
allowing to handle large objects with a small memory footprint.

%description %{_description}

%package -n python3-%{upname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{upname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-smmap2 >= 2.0.0
Requires:       python3-smmap2 >= 2.0.0

%description -n python3-%{upname} %{_description}

Python 3 version.

%prep
%autosetup -n %{upname}-%{version} -Sgit

%build
%py3_build

%install
%py3_install

%check
# Skipped "test_pack_writing": https://github.com/gitpython-developers/smmap/issues/34
%{__python3} -m nose -v --exclude=test_pack_writing

%files -n python3-%{upname}
%license LICENSE
%doc AUTHORS
%{python3_sitelib}/gitdb*

%changelog
* Wed Nov 03 2021 Jialu Feng <fengjialu.fjl@alibaba-inc.com> - 2.0.5-10.0.1
- New version

